<?php
session_start();
ini_set('display_errors', 1);

require 'autoload.php';
use Abraham\TwitterOAuth\TwitterOAuth;
require_once('config.php');
 
/* Crear un objeto TwitteroAuth con las credenciales de la aplicacion y el token temporal */
//$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET,
$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET,
               $_SESSION['oauth_token'], $_SESSION['oauth_token_secret']);
 
/* Solicitar a twitter el token de acceso */
//$access_token = $connection->getAccessToken($_REQUEST['oauth_verifier']);
$access_token = $connection->oauth("oauth/access_token", array("oauth_verifier" => $_REQUEST['oauth_verifier']));

 
/* Guardar el token de acceso. Normalmente, este token se guardará también en una base
   de datos para volver a ser utilizado en otras ocasiones. */
$_SESSION['access_token'] = $access_token;
 
/* Eliminar el token temporal de solicitud */
unset($_SESSION['oauth_token']);
unset($_SESSION['oauth_token_secret']);
 
/* Si todo va bien, presentar al usuario la página principal "index.php" del servicio */
//if (200 == $connection->http_code) {
  /* El usuario ha sido verificado */
  $_SESSION['status'] = 'verified';
  echo send_tweet($access_token);
  //}
function base64_encode_image ($filename=string,$filetype=string) {
if ($filename) {
$imgbinary = fread(fopen($filename, "r"), filesize($filename));
return base64_encode($imgbinary);
}
}

  function send_tweet($access_token) {
    $tweet = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET,
                 $access_token['oauth_token'], $access_token['oauth_token_secret']);
    $media1 = $tweet->upload('media/upload', array('media' => 'arttesano.jpg'));
    $parameters = array(
    'status' => 'Contra los taxistas violentos #jesuisArttesano @arttesano @denuncieTaxista http://datos.labmde.org/milfs/toa/connect.php',
    'media_ids' => implode(',', array($media1->media_id_string)),
);
$result = $tweet-> post('statuses/update', $parameters);
$image = "arttesano.jpg";
$base64 = base64_encode_image (''.$image,'jpg');
//$result = $tweet-> post('account/update_profile_image', array('image' => $base64.';type=image/jpg;filename='.$image));

    $message = "Bonito dia.";
    $tweet->post('statuses/update', array('status' => "$message"));
    
}
echo "Gracias por tu solidaridad !";

 // header('Location: ./index.php');
//} else {
  //header('Location: ./clearsessions.php');
//
